### Method

# Gegl Curveset_point

#### Declaration [src]

    void
    gegl_curve_set_point (
      GeglCurve* curve,
      guint index,
      gdouble x,
      gdouble y
    )

#### Description [src]

Replace an existing point in a curve.

#### Parameters

`index`

  Type: `guint`

  The position of the value number to retrieve.

`x`

  Type: `gdouble`

  X coordinate.

`y`

  Type: `gdouble`

  Y coordinate.